jQuery(document).ready(function ($) {
    var mainSliderAutoplay = IRK_DATA.main_slider_autoplay;
    var mainSliderLoop = IRK_DATA.main_slider_loop;
    var mainSliderRewind = IRK_DATA.main_slider_rewind;
    var mainSliderHoverPause = IRK_DATA.main_slider_hover_pause;
    var mainSliderAutoplayTimeout = IRK_DATA.main_slider_autoplay_timeout;
    var mainSliderAutoplaySpeed = IRK_DATA.main_slider_autoplay_speed;
    var mainSliderNavSpeed = IRK_DATA.main_slider_nav_speed;
    var mainSliderAnimation = IRK_DATA.main_slider_animation;
    var mainSliderOptions = {
        nav: true,
        dots: true,
        items: 1,
        navText: ['<span data-icon=arrow-left></span>', '<span data-icon=arrow-right></span>'],
    };
    if ($('body').hasClass('rtl')) {
        mainSliderOptions.rtl = true;
    }
    if (mainSliderAutoplay) {
        mainSliderOptions.autoplay = true;
    }
    if (mainSliderLoop) {
        mainSliderOptions.loop = true;
    }
    if (mainSliderRewind) {
        mainSliderOptions.rewind = true;
    }
    if (mainSliderHoverPause) {
        mainSliderOptions.autoplayHoverPause = true;
    }
    if (mainSliderAutoplayTimeout) {
        mainSliderOptions.autoplayTimeout = mainSliderAutoplayTimeout;
    }
    if (mainSliderAutoplaySpeed) {
        mainSliderOptions.autoplaySpeed = mainSliderAutoplaySpeed;
    }
    if (mainSliderNavSpeed) {
        mainSliderOptions.navSpeed = mainSliderNavSpeed;
    }
    if (mainSliderAnimation === 'fadeout') {
        mainSliderOptions.animateOut = 'fadeOut';
    }
    $('.main-slider .owl-carousel').owlCarousel(mainSliderOptions);

    var promotionSliderOptions = {
        autoplayTimeout: 10000,
        autoplayHoverPause: false,
        autoplaySpeed: 500,
        nav: false,
        loop: true,
        autoplay: true,
        dots: false,
        items: 1,
        navText: ['<span data-icon=arrow-left></span>', '<span data-icon=arrow-right></span>'],
    };
    if ($('body').hasClass('rtl')) {
        promotionSliderOptions.rtl = true;
    }
    $('.promotion-slider .owl-carousel').owlCarousel(promotionSliderOptions);

    var amazingSliderAutoplay = IRK_DATA.amazing_slider_autoplay;
    var amazingSliderLoop = IRK_DATA.amazing_slider_loop;
    var amazingSliderRewind = IRK_DATA.amazing_slider_rewind;
    var amazingSliderHoverPause = IRK_DATA.amazing_slider_hover_pause;
    var amazingSliderSingleSlide = IRK_DATA.amazing_slider_single_slide;
    var amazingSliderAutoplayTimeout = IRK_DATA.amazing_slider_autoplay_timeout;
    var amazingSliderAutoplaySpeed = IRK_DATA.amazing_slider_autoplay_speed;
    var amazingSliderNavSpeed = IRK_DATA.amazing_slider_nav_speed;
    var amazingSliderItems = IRK_DATA.amazing_slider_items;
    var amazingSliderOptions = {
        nav: true,
        dots: false,
        margin: 5,
        navText: ['<span data-icon=arrow-left></span>', '<span data-icon=arrow-right></span>'],
        responsive: {
            0: {
                items: 2,
                slideBy: amazingSliderSingleSlide ? 1 : 2,
            },
            768: {
                items: 3,
                slideBy: amazingSliderSingleSlide ? 1 : 3,
            },
            992: {
                items: amazingSliderItems,
                slideBy: amazingSliderSingleSlide ? 1 : amazingSliderItems,
            }
        }
    };
    if ($('body').hasClass('rtl')) {
        amazingSliderOptions.rtl = true;
    }
    if (amazingSliderAutoplay) {
        amazingSliderOptions.autoplay = true;
    }
    if (amazingSliderLoop) {
        amazingSliderOptions.loop = true;
    }
    if (amazingSliderRewind) {
        amazingSliderOptions.rewind = true;
    }
    if (amazingSliderHoverPause) {
        amazingSliderOptions.autoplayHoverPause = true;
    }
    if (amazingSliderAutoplayTimeout) {
        amazingSliderOptions.autoplayTimeout = amazingSliderAutoplayTimeout;
    }
    if (amazingSliderAutoplaySpeed) {
        amazingSliderOptions.autoplaySpeed = amazingSliderAutoplaySpeed;
    }
    if (amazingSliderNavSpeed) {
        amazingSliderOptions.navSpeed = amazingSliderNavSpeed;
    }
    $('.amazing-slider.style1 .owl-carousel').owlCarousel(amazingSliderOptions);

    var amazingSliderOptions3 = amazingSliderOptions;
    amazingSliderOptions3.responsive = {
        0: {
            items: 4,
            slideBy: 4,
        },
        576: {
            items: 6,
            slideBy: 6,
        },
        768: {
            items: 8,
            slideBy: 8,
        },
        992: {
            items: 5,
            slideBy: 5,
        }
    }
    $('.amazing-slider.style3 .owl-carousel').owlCarousel(amazingSliderOptions3);

    var amazingSliderOptions2 = {
        nav: false,
        dots: false,
        margin: 5,
        items: 1,
        animateOut: 'fadeOut',
        thumbs: true,
        thumbImage: false,
        thumbsPrerendered: true,
        thumbContainerClass: 'owl-thumbs',
        thumbItemClass: 'owl-thumb-item',
        navText: ['<span data-icon=arrow-left></span>', '<span data-icon=arrow-right></span>'],
        responsive: {
            0: {
                items: 2,
                slideBy: amazingSliderSingleSlide ? 1 : 2,
                nav: true,
            },
            768: {
                items: 3,
                slideBy: amazingSliderSingleSlide ? 1 : 3,
                nav: true,
            },
            992: {
                items: 1,
                slideBy: 1,
            },
        }
    };
    if ($('body').hasClass('rtl')) {
        amazingSliderOptions2.rtl = true;
    }
    if (amazingSliderAutoplay) {
        amazingSliderOptions2.autoplay = true;
    }
    if (amazingSliderLoop) {
        amazingSliderOptions2.loop = true;
    }
    if (amazingSliderRewind) {
        amazingSliderOptions2.rewind = true;
    }
    if (amazingSliderHoverPause) {
        amazingSliderOptions2.autoplayHoverPause = true;
    }
    if (amazingSliderAutoplayTimeout) {
        amazingSliderOptions2.autoplayTimeout = amazingSliderAutoplayTimeout;
    }
    if (amazingSliderAutoplaySpeed) {
        amazingSliderOptions2.autoplaySpeed = amazingSliderAutoplaySpeed;
    }
    if (amazingSliderNavSpeed) {
        amazingSliderOptions2.navSpeed = amazingSliderNavSpeed;
    }
    $('.amazing-slider.style2 .owl-carousel').owlCarousel(amazingSliderOptions2);

    var productsSliderAutoplay = IRK_DATA.products_slider_autoplay;
    var productsSliderLoop = IRK_DATA.products_slider_loop;
    var productsSliderRewind = IRK_DATA.products_slider_rewind;
    var productsSliderHoverPause = IRK_DATA.products_slider_hover_pause;
    var productsSliderSingleSlide = IRK_DATA.products_slider_single_slide;
    var productsSliderAutoplayTimeout = IRK_DATA.products_slider_autoplay_timeout;
    var productsSliderAutoplaySpeed = IRK_DATA.products_slider_autoplay_speed;
    var productsSliderNavSpeed = IRK_DATA.products_slider_nav_speed;
    var productsSliderItems = IRK_DATA.products_slider_items;
    var productsSliderOptions = {
        nav: true,
        dots: false,
        margin: 5,
        navText: ['<span data-icon=arrow-left></span>', '<span data-icon=arrow-right></span>'],
        responsive: {
            0: {
                items: 2,
                slideBy: productsSliderSingleSlide ? 1 : 2,
            },
            768: {
                items: 3,
                slideBy: productsSliderSingleSlide ? 1 : 3,
            },
            992: {
                items: productsSliderItems,
                slideBy: productsSliderSingleSlide ? 1 : productsSliderItems,
            }
        }
    };
    if ($('body').hasClass('rtl')) {
        productsSliderOptions.rtl = true;
    }
    if (productsSliderAutoplay) {
        productsSliderOptions.autoplay = true;
    }
    if (productsSliderLoop) {
        productsSliderOptions.loop = true;
    }
    if (productsSliderRewind) {
        productsSliderOptions.rewind = true;
    }
    if (productsSliderHoverPause) {
        productsSliderOptions.autoplayHoverPause = true;
    }
    if (productsSliderAutoplayTimeout) {
        productsSliderOptions.autoplayTimeout = productsSliderAutoplayTimeout;
    }
    if (productsSliderAutoplaySpeed) {
        productsSliderOptions.autoplaySpeed = productsSliderAutoplaySpeed;
    }
    if (productsSliderNavSpeed) {
        productsSliderOptions.navSpeed = productsSliderNavSpeed;
    }
    $('.widget-products-slider .owl-carousel.active-carousel').owlCarousel(productsSliderOptions);

    var relatedProductsSliderOptions = {
        autoplayTimeout: 10000,
        autoplayHoverPause: true,
        autoplaySpeed: 500,
        nav: true,
        loop: true,
        autoplay: true,
        dots: false,
        items: 1,
    };
    if ($('body').hasClass('rtl')) {
        relatedProductsSliderOptions.rtl = true;
    }
    $('.related-products-slider .owl-carousel').owlCarousel(relatedProductsSliderOptions);

    var brandsSliderAutoplay = IRK_DATA.brands_slider_autoplay;
    var brandsSliderLoop = IRK_DATA.brands_slider_loop;
    var brandsSliderRewind = IRK_DATA.brands_slider_rewind;
    var brandsSliderHoverPause = IRK_DATA.brands_slider_hover_pause;
    var brandsSliderSingleSlide = IRK_DATA.brands_slider_single_slide;
    var brandsSliderAutoplayTimeout = IRK_DATA.brands_slider_autoplay_timeout;
    var brandsSliderAutoplaySpeed = IRK_DATA.brands_slider_autoplay_speed;
    var brandsSliderNavSpeed = IRK_DATA.brands_slider_nav_speed;
    var brandsSliderItems = IRK_DATA.brands_slider_items;
    var brandsSliderOptions = {
        nav: true,
        dots: false,
        margin: 5,
        navText: ['<span data-icon=arrow-left></span>', '<span data-icon=arrow-right></span>'],
        responsive: {
            0: {
                items: 2,
                slideBy: brandsSliderSingleSlide ? 1 : 2,
            },
            768: {
                items: 3,
                slideBy: brandsSliderSingleSlide ? 1 : 3,
            },
            992: {
                items: brandsSliderItems,
                slideBy: brandsSliderSingleSlide ? 1 : brandsSliderItems,
            }
        }
    };
    if ($('body').hasClass('rtl')) {
        brandsSliderOptions.rtl = true;
    }
    if (brandsSliderAutoplay) {
        brandsSliderOptions.autoplay = true;
    }
    if (brandsSliderLoop) {
        brandsSliderOptions.loop = true;
    }
    if (brandsSliderRewind) {
        brandsSliderOptions.rewind = true;
    }
    if (brandsSliderHoverPause) {
        brandsSliderOptions.autoplayHoverPause = true;
    }
    if (brandsSliderAutoplayTimeout) {
        brandsSliderOptions.autoplayTimeout = brandsSliderAutoplayTimeout;
    }
    if (brandsSliderAutoplaySpeed) {
        brandsSliderOptions.autoplaySpeed = brandsSliderAutoplaySpeed;
    }
    if (brandsSliderNavSpeed) {
        brandsSliderOptions.navSpeed = brandsSliderNavSpeed;
    }
    $('.widget-brands-slider .owl-carousel.active-carousel').owlCarousel(brandsSliderOptions);

    var postsSliderAutoplay = IRK_DATA.posts_slider_autoplay;
    var postsSliderLoop = IRK_DATA.posts_slider_loop;
    var postsSliderRewind = IRK_DATA.posts_slider_rewind;
    var postsSliderHoverPause = IRK_DATA.posts_slider_hover_pause;
    var postsSliderSingleSlide = IRK_DATA.posts_slider_single_slide;
    var postsSliderAutoplayTimeout = IRK_DATA.posts_slider_autoplay_timeout;
    var postsSliderAutoplaySpeed = IRK_DATA.posts_slider_autoplay_speed;
    var postsSliderNavSpeed = IRK_DATA.posts_slider_nav_speed;
    var postsSliderItems = IRK_DATA.posts_slider_items;
    var postsSliderOptions = {
        nav: true,
        dots: false,
        margin: 5,
        navText: ['<span data-icon=arrow-left></span>', '<span data-icon=arrow-right></span>'],
        responsive: {
            0: {
                items: 2,
                slideBy: postsSliderSingleSlide ? 1 : 2,
            },
            768: {
                items: 3,
                slideBy: postsSliderSingleSlide ? 1 : 3,
            },
            992: {
                items: postsSliderItems,
                slideBy: postsSliderSingleSlide ? 1 : postsSliderItems,
            }
        }
    };
    if ($('body').hasClass('rtl')) {
        postsSliderOptions.rtl = true;
    }
    if (postsSliderAutoplay) {
        postsSliderOptions.autoplay = true;
    }
    if (postsSliderLoop) {
        postsSliderOptions.loop = true;
    }
    if (postsSliderRewind) {
        postsSliderOptions.rewind = true;
    }
    if (postsSliderHoverPause) {
        postsSliderOptions.autoplayHoverPause = true;
    }
    if (postsSliderAutoplayTimeout) {
        postsSliderOptions.autoplayTimeout = postsSliderAutoplayTimeout;
    }
    if (postsSliderAutoplaySpeed) {
        postsSliderOptions.autoplaySpeed = postsSliderAutoplaySpeed;
    }
    if (postsSliderNavSpeed) {
        postsSliderOptions.navSpeed = postsSliderNavSpeed;
    }
    $('.widget-posts-slider .owl-carousel.active-carousel').owlCarousel(postsSliderOptions);
});