const defaultConfig = require("@wordpress/scripts/config/webpack.config");
const path = require('path');

module.exports = {
    ...defaultConfig,
    entry: {
        'amazing-slider': './src/amazing-slider.js',
        'banner-ads': './src/banner-ads.js',
        'brands-slider': './src/brands-slider.js',
        'categories': './src/categories.js',
        'main-slider': './src/main-slider.js',
        'posts': './src/posts.js',
        'posts-slider': './src/posts-slider.js',
        'product-ads': './src/product-ads.js',
        'products-slider': './src/products-slider.js',
        'promotion-categories': './src/promotion-categories.js',
        'suggested-categories': './src/suggested-categories.js',
        'promotion-single': './src/promotion-single.js',
    },
    output: {
        path: path.join(__dirname, './dist'),
        filename: '[name].js'
    }
}