<?php
global $options;

$favicon_image = $options->get_option('favicon-image');
$font = $options->get_option('font-family');
?>
    <!DOCTYPE html>
<html <?php language_attributes(); ?>>
    <head>
        <meta charset="<?php bloginfo('charset'); ?>">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no, maximum-scale=1.0, user-scalable=no">
        <?php if ($font == 'iranyekan'): ?>
            <meta name="fontiran.com:license" content="GK4S3U">
        <?php elseif ($font == 'IRANSans'): ?>
            <meta name="fontiran.com:license" content="DKVUW">
        <?php elseif ($font == 'iransansdn'): ?>
            <meta name="fontiran.com:license" content="RS3RT6">
        <?php endif; ?>
        <?php echo $favicon_image ? '<link rel="shortcut icon" href="' . wp_get_attachment_url($favicon_image) . '" type="image/icon">' : null; ?>
        <?php wp_head(); ?>
    </head>
<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<?php
get_template_part('partials/pre-loader');