<?php
defined('ABSPATH') || exit('No Access!');

global $options;
?>
<nav id="cat-menu">
    <div class="<?php echo $options->get_option('demo') != 'demo2' ? 'container' : ''; ?>">
        <div class="side-logo">
            <a href="<?php echo esc_url(home_url()); ?>" title="<?php echo get_bloginfo('name'); ?>">
                <?php echo irk_get_mobile_logo(); ?>
            </a>
        </div>
        <?php
        if (has_nav_menu('cat_menu')) {
            wp_nav_menu(
                array(
                    'theme_location' => 'cat_menu',
                    'container' => '',
                    'menu_class' => 'cat-menu',
                    'walker' => new IRK_Menu_Walker(),
                )
            );
        } else {
            ?>
            <ul class="cat-menu">
                <li class="menu-item">
                    <a href="<?php echo admin_url('nav-menus.php'); ?>" target="_blank"><?php _e('Please create categories menu.', 'irk'); ?></a>
                </li>
            </ul>
            <?php
        }
        ?>
    </div>
</nav>