<?php
defined('ABSPATH') || exit('No Access!');

$labels = new IRK_Labels_Manager();
?>
<div class="irk-settings-area irk-settings-labels">
    <h2 class="irk-settings-title">
        <span class="irk-title-icon"><span uk-icon="file-edit"></span></span>
        <strong><?php _e('Labels', 'irk'); ?></strong>
    </h2>
    <div class="irk-description">
        <span uk-icon="info"></span>
        <?php _e('These texts will be replaced by the text in the theme. If a field is left blank, the default value will be displayed.', 'irk'); ?>
    </div>
    <?php foreach ($labels->get_labels() as $name => $label): ?>
        <div class="uk-margin">
            <input type="text" class="uk-input" name="labels[<?php echo $name; ?>]" value="<?php echo esc_attr($labels->get_label($name, false, false)); ?>" placeholder="<?php echo $label; ?>">
        </div>
    <?php endforeach; ?>
</div>